Zuplo Developer API

Set of operations available to create and update environment variables. You can learn more about environment variables here.


Creates a variable

POST
https://dev.zuplo.com
/v1/accounts/{accountName}/projects/{projectName}/branches/{branchName}/variables

Creates a new environment variable in a branch for a given project.

Creates a variable › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

projectName
​string · required

The name of the project. You can find this in your Zuplo Portal under Settings > Project Information.

branchName
​string · required

The name of the branch in your source control provider.

Creates a variable › Request Body

name
​string · required

The name of the variable. Must be named in SCREAMING_SNAKE_CASE.

Example: APP_ENVIRONMENT_KEY
isSecret
​boolean · required

Whether the variable is a secret.

Example: true
value
​string · required

The value of the variable.

Creates a variable › Responses

The request has succeeded and a new resource has been created as a result.

branch
​string · readOnly · required
createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z
name
​string · required

The name of the variable. Must be named in SCREAMING_SNAKE_CASE.

Example: APP_ENVIRONMENT_KEY
isSecret
​boolean · required

Whether the variable is a secret.

Example: true
value
​string · required

The value of the variable.


Updates a variable

PATCH
https://dev.zuplo.com
/v1/accounts/{accountName}/projects/{projectName}/branches/{branchName}/variables/{variableName}

Update the value of a variable in a branch for a given project.

Updates a variable › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

projectName
​string · required

The name of the project. You can find this in your Zuplo Portal under Settings > Project Information.

branchName
​string · required

The name of the branch in your source control provider.

variableName
​string · required

The name of the environment variable.

Updates a variable › Request Body

value
​string

The value of the variable.

Updates a variable › Responses

The request has succeeded.

branch
​string · readOnly · required
createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z
name
​string · required

The name of the variable. Must be named in SCREAMING_SNAKE_CASE.

Example: APP_ENVIRONMENT_KEY
isSecret
​boolean · required

Whether the variable is a secret.

Example: true
value
​string · required

The value of the variable.